Page MenuHomePhabricator

[mlir][spirv] Make EntryPointABIAttr.local_size optional
ClosedPublic

Authored by Hardcode84 on Feb 23 2022, 3:14 AM.

Details

Summary
  • It doesn't required by OpenCL/Intel Level Zero and can be set programmatically.
  • Add GPU to spirv lowering in case when attribute is not present.
  • Set higher benefit to WorkGroupSizeConversion pattern so it will always try to lower first from the attribute.

Diff Detail

Event Timeline

Hardcode84 created this revision.Feb 23 2022, 3:14 AM
Hardcode84 requested review of this revision.Feb 23 2022, 3:14 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 2 2022, 6:10 AM
stellaraccident accepted this revision.Mar 11 2022, 9:43 AM
This revision is now accepted and ready to land.Mar 11 2022, 9:43 AM
antiagainst accepted this revision.Mar 11 2022, 10:17 AM

Oops, I thought I reviewed a bunch of patches including this one.. Apparently missed. :( Really sorry about it.